package com.trade.service.contract.service.impl;

import com.trade.service.contract.entity.ESignFile;
import com.trade.service.contract.mapper.ESignFileMapper;
import com.trade.service.contract.service.ESignFileService;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

@Component
public class ESignFileServiceImpl extends ServiceImpl<ESignFileMapper, ESignFile> implements ESignFileService {

    @Override
    public boolean add(ESignFile eSignFile) {
        return save(eSignFile);
    }

    @Override
    public List<ESignFile> getByFlowId(String flowId) {
        return lambdaQuery().eq(ESignFile::getFlowId, flowId).list();
    }
}
